<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package upTown
 */

get_header(); ?>

	<section id="primary" class="content-area">

		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">

				<div class="page-title entry-title title">

					<h1>
						<?php
							if ( is_category() ) :
								single_cat_title();
					
							elseif ( is_tag() ) :
								single_tag_title();
					
							elseif ( is_author() ) :
								printf( __( 'Author: %s', 'uptown' ), '<span class="vcard">' . get_the_author() . '</span>' );
					
							elseif ( is_day() ) :
								printf( __( 'Day: %s', 'uptown' ), '<span>' . get_the_date() . '</span>' );
					
							elseif ( is_month() ) :
								printf( __( 'Month: %s', 'uptown' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );
					
							elseif ( is_year() ) :
								printf( __( 'Year: %s', 'uptown' ), '<span>' . get_the_date( 'Y' ) . '</span>' );
					
							elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
								_e( 'Asides', 'uptown' );
					
							elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
								_e( 'Images', 'uptown');
					
							elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
								_e( 'Videos', 'uptown' );
					
							elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
								_e( 'Quotes', 'uptown' );
					
							elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
								_e( 'Links', 'uptown' );
					
							else :
								_e( 'Archives', 'uptown' );
					
							endif;
						?>
					</h1>

					<?php
						// Show an optional term description.
						$term_description = term_description();
						if ( ! empty( $term_description ) ) :
							printf( '<div class="taxonomy-description">%s</div>', $term_description );
						endif;
					?>

				</div>

			</header><!-- .page-header -->

			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php uptown_pagination(); ?>

		<?php else : ?>

			<?php get_template_part( 'no-results', 'archive' ); ?>

		<?php endif; ?>

		</main><!-- #main -->

	</section><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
